#!/bin/csh

#$Id: testA7.sh,v 1.3 2008/05/22 21:23:05 atulskulkarni Exp $

# Copyright (C) 2008
# Atul Kulkarni, University of Minnesota, Duluth
# kulka053@d.umn.edu
# Ted Pedersen, University of Minnesota, Duluth
# tpederse@d.umn.edu

#############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

##############################################################################

set TEST_INSTANCE_TOTAL = 35	#total - discards (153 - 43)
set TEST_ANSWER_TOTAL = 35	#total - discards (162 - 43)
set TEST_DISCARDS = 5


echo "Test A7 for weps2sval2.pl"
echo "running ../../weps2sval2.pl --input ../testdata/  --output A7out/ --verbose --raw"

../../weps2sval2.pl --input ../testdata/  --output A7out/ --verbose --raw >& test-A7.output

diff -w test-A7.output test-A7.reqd > var

if(-z var) then
        echo "Test Ok";
else
        echo "Test Error";
        echo "When tested against test-A7.reqd";
        cat var;
endif

set OBS_INSTANCES = `ls A7out/*.xml | xargs grep "<instance id=" | wc -l`
set OBS_ANSWERS = `ls A7out/*.xml | xargs grep "<answer instance=" | wc -l`

if ($TEST_INSTANCE_TOTAL == $OBS_INSTANCES) then
       echo "Test Ok";
       echo "We did not lose any instances while generating output."
else
       echo "Test Error";
       echo "We lost some instances while generating output."
endif

if ($TEST_ANSWER_TOTAL == $OBS_ANSWERS) then
       echo "Test Ok";
       echo "We did not loose any answers while generating output."
else
       echo "Test Error";
       echo "We lost some answers while generating output."
endif

/bin/rm -f var test-A7.output 
/bin/rm -rf A7out/  
